Nini Library API Reference - http://nini.sourceforge.net/ |

# IniWriter Members

IniWriter overview

#### Public Instance Constructors

IniWriter | Overloaded. Initializes a new instance of the IniWriter class.

#### Public Instance Properties

AssignDelimiter | Assign delimiter to search for when parsing.
BaseStream | Returns the writer base stream.
CommentDelimiter | What type of comment type is used.
Indentation | Number of spaces in front of each line.
UseValueQuotes | Whether or not quotes should surround each entry.
WriteState | Gets the state of the reader.

#### Public Instance Methods

Close | Closes the current writer and frees the resources.
Dispose | Overloaded. Cleans up all managed and unmanaged resources for the instance.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Flush | Flushes the current writer and frees the resources.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns the string version of the current written text.
WriteEmpty | Overloaded. Writes an empty line.
WriteKey | Overloaded. Writes a key to a section.
WriteSection | Overloaded. Writes an INI section.

#### Protected Instance Methods

Dispose | Overloaded. Cleans up all unmanaged resources for the instance and optionally the managed resouces as well.
Finalize | Destructor.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniWriter Class | Nini.Ini Namespace